package sgc.portal.co.co0101.web;

import org.springframework.web.bind.annotation.*;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.co.co0101.dto.CO01010001USearch;
import sgc.portal.co.co0101.service.CO01010001UService;

import java.util.List;

@RestController
@RequestMapping("/co/co0101")
public class CO01010001UController {
    private final CO01010001UService service;

    public CO01010001UController(CO01010001UService service) {
        this.service = service;
    }

    @PostMapping("/CO01010001U/list1")
    public List<EasyHashMap<String, Object>> getList1(@RequestBody CO01010001USearch search) {
        return service.getList1(search);
    }
    
    @PostMapping("/CO01010001U/list2")
    public List<EasyHashMap<String, Object>> getList2(@RequestBody CO01010001USearch search) {
        return service.getList2(search);
    }
    
    @PostMapping("/CO01010001U/callSpIfConPjt")
    public Object callSpIfConPjt(@RequestBody CO01010001USearch search) {
    	return service.callSpIfConPjt(search);
    }
}
